PlanDocket

Credit Notes

Business+

Read credit notes (cancellation invoices). They are created by cancelling an invoice and need the invoices scope.

Read Only This endpoint only supports GET requests.
Required scopes: invoices
Access level: GET invoices:read About access levels
Feature flag: invoices

Endpoints

GET /api/v1/credit-notes

List all credit notes

GET /api/v1/credit-notes/{id}

Retrieve a single credit note (related_invoice_id is the corrected invoice)

GET /api/v1/credit-notes/{id}/pdf

Download the credit note PDF

Query Parameters

Parameter Description
status Filter by invoice status
customer_number Filter by customer number
event_key Filter by event key
include Include related data (items, payments, contact, credit_notes)

Response Schema

Field Type
id integer
invoice_number string|null
display_number string
invoice_type string
related_invoice_id integer|null
status string
event_participant_id integer|null
contact_id integer|null
invoice_date string|null
issued_at string|null
total float
currency string
credited_amount float
paid_amount float
written_off_amount float
open_amount float
service_date string|null
due_date string|null
is_reverse_charge boolean
is_locked boolean
locked_at string|null
sent_at string|null
reminder_sent_at string|null
reminder_count integer
cancellation_reason string|null
e_invoice_format string
e_invoice_status string|null
leitweg_id string|null
buyer_reference string|null
po_number string|null
notes string|null
links object
created_at string
updated_at string

Code Examples

curl -X GET "https://your-tenant.plandocket.com/api/v1/credit-notes" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
<?php
$apiKey = 'YOUR_API_KEY';
$baseUrl = 'https://your-tenant.plandocket.com';

$ch = curl_init();
curl_setopt_array($ch, [
    CURLOPT_URL => $baseUrl . '/api/v1/credit-notes',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . $apiKey,
    ],
]);

$response = curl_exec($ch);
curl_close($ch);

$data = json_decode($response, true);
print_r($data);
const apiKey = 'YOUR_API_KEY';
const baseUrl = 'https://your-tenant.plandocket.com';

const response = await fetch(`${baseUrl}/api/v1/credit-notes`, {
  method: 'GET',
  headers: {
    'Authorization': `Bearer ${apiKey}`,
  },
});

const data = await response.json();
console.log(data);
import requests

api_key = 'YOUR_API_KEY'
base_url = 'https://your-tenant.plandocket.com'

headers = {
    'Authorization': f'Bearer {api_key}',
}

response = requests.get(f'{base_url}/api/v1/credit-notes', headers=headers)
data = response.json()
print(data)

Sample Response

200 OK
{
    "data": [
        {
            "id": 1,
            "invoice_number": "string",
            "display_number": "string",
            "invoice_type": "string",
            "related_invoice_id": 1,
            "status": "string",
            "event_participant_id": 1,
            "contact_id": 1,
            "invoice_date": "2026-01-15T10:00:00+01:00",
            "issued_at": "2026-01-15T10:00:00+01:00",
            "total": 100,
            "currency": "string",
            "credited_amount": 100,
            "paid_amount": 100,
            "written_off_amount": 100,
            "open_amount": 100,
            "service_date": "2026-01-15T10:00:00+01:00",
            "due_date": "2026-01-15T10:00:00+01:00",
            "is_reverse_charge": true,
            "is_locked": true,
            "locked_at": "2026-01-15T10:00:00+01:00",
            "sent_at": "2026-01-15T10:00:00+01:00",
            "reminder_sent_at": "2026-01-15T10:00:00+01:00",
            "reminder_count": 1,
            "cancellation_reason": "string",
            "e_invoice_format": "string",
            "e_invoice_status": "string",
            "leitweg_id": "string",
            "buyer_reference": "string",
            "po_number": "string",
            "notes": "string",
            "links": {},
            "created_at": "2026-01-15T10:00:00+01:00",
            "updated_at": "2026-01-15T10:00:00+01:00"
        }
    ],
    "meta": {
        "current_page": 1,
        "per_page": 25,
        "total": 1,
        "total_pages": 1
    }
}